"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.format = exports.lspFormattingOptionsToJsBeautifyOptions = void 0;
const js_beautify_1 = require("js-beautify");
function lspFormattingOptionsToJsBeautifyOptions(options) {
    return {
        indent_size: options.tabSize,
        indent_with_tabs: !options.insertSpaces,
        max_preserve_newlines: options.trimFinalNewlines ? 1 : undefined,
        end_with_newline: options.insertFinalNewline,
    };
}
exports.lspFormattingOptionsToJsBeautifyOptions = lspFormattingOptionsToJsBeautifyOptions;
function format(doc, range, options) {
    const normalizedOptions = {
        ...options,
        // hard-coded to prevent custom selector values starting with combinators from breaking
        space_around_combinator: true,
    };
    return js_beautify_1.css(doc.getText(range), normalizedOptions);
}
exports.format = format;
//# sourceMappingURL=formatting.js.map